:root {
    --transition-default: 0.3s all linear;
    --font-heading: "Inter", sans-serif;
    --font-theme: "Inter", sans-serif;
    --font-sub: "Oswald", sans-serif;
    --size-theme: 15px;
    --primary-color: #0CB1F1;
    --primary-rgb: 7, 62, 96;
    --primary-color-dark: #0d4294;
    --primary-hover: #0a89ba;

    --secondary-color: #0A2540;
    --secondary-hover: #efc22f;
    --transition-cubic: transform 0.5s cubic-bezier(0.44, 0.185, 0.575, 0.86);
}

.bg-light {
    background-color: #e5f2ff !important;
}

.text-black {
    color: #000 !important;
}

body {
    position: relative;
    width: 100%;
    font-family: var(--font-theme);
    font-size: var(--size-theme);
    font-weight: 400;
    font-style: normal;
    line-height: 1.4;
    background-color: #F0F5FC;
    color: #212529;
}

a, a:hover, a:focus {
    outline: none;
    text-decoration: none;
    cursor: pointer;
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    -webkit-transition: var(--transition-default);
}

button, button:hover, button:focus {
    -webkit-box-shadow: none;
    box-shadow: none;
    outline: none;
    text-decoration: none;
    cursor: pointer;
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    -webkit-transition: var(--transition-default);
}

input,
select,
textarea {
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    -webkit-transition: var(--transition-default);
}

input:focus,
select:focus,
textarea:focus {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    outline: none !important;
    border-color: var(--primary-hover) !important;
}

.pseudo {
    position: relative;
}

.pseudo:before,
.pseudo:after {
    position: absolute;
    content: "";
    display: block;
}

.transition-default {
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    -webkit-transition: var(--transition-default);
}

.transition-cubic {
    transition: var(--transition-cubic);
}

.background-cover {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.image-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.image-contain {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: contain;
    object-fit: contain;
}

.background-cover {
    -webkit-background-size: cover;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.object-fit-cover {
    -o-object-fit: cover;
    object-fit: cover;
}

.object-fit-contain {
    -o-object-fit: contain;
    object-fit: contain;
}

.limit {
    --line: 2;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: var(--line);
    line-clamp: var(--line);
    -webkit-box-orient: vertical;
}

.limit-3 {
    --line: 3;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: var(--line);
    line-clamp: var(--line);
    -webkit-box-orient: vertical;
}

.limit-4 {
    --line: 4;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: var(--line);
    line-clamp: var(--line);
    -webkit-box-orient: vertical;
}

.hidden-effect {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.hidden-effect:hover {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.zi--1 {
    z-index: -1;
}

.zi-1 {
    z-index: 1;
}

.zi-2 {
    z-index: 2;
}

.zi-3 {
    z-index: 3;
}

.zi-4 {
    z-index: 4;
}

.zi-5 {
    z-index: 5;
}

.zi-10 {
    z-index: 10;
}

.gap-5px {
    gap: 5px;
}

.gap-10px {
    gap: 10px;
}

.gap-15px {
    gap: 15px;
}

.gap-20px {
    gap: 20px;
}

.gap-25px {
    gap: 25px;
}

.gap-30px {
    gap: 30px;
}

.flex-same {
    -webkit-box-flex: 1 !important;
    -ms-flex: 1 1 0px !important;
    flex: 1 1 0 !important;
}

.theme-toc {
    border: 1px solid #e9e9e9;
    background: #faf9fa;
    display: inline-flex;
    flex-direction: column;
    overflow: hidden;
    margin-bottom: 15px;
    min-width: 200px;
}

.theme-toc > .nav {
    padding: 0 0 8px;
    width: 100%;
}

.theme-toc .nav {
    display: inline-flex;
    flex-direction: column;
}

.theme-toc .nav > li > a {
    padding-top: 3px;
    padding-right: 15px;
    padding-bottom: 3px;
    display: block;
    color: var(--bs-gray-dark);
    font-size: .95rem;
}

.theme-toc .nav > li > a:hover,
.theme-toc .nav > li > a:active {
    color: var(--primary-color);
}

.theme-toc .nav > li > a.toc-link-1 {
    padding-left: 15px;
}

.theme-toc .nav > li > a.toc-link-2 {
    padding-left: 30px;
}

.theme-toc .nav > li > a:not(.toc-link-1):before {
    content: "-";
    margin-right: 9px;
}

.theme-toc .nav > li > a.toc-link-3 {
    padding-left: 45px;
}

.theme-toc .nav > li > a.toc-link-4 {
    padding-left: 60px;
}

.theme-toc .nav > li > a.toc-link-5 {
    padding-left: 75px;
}

.theme-toc .nav > li > a.toc-link-6 {
    padding-left: 90px;
}

.theme-toc .nav > li.toc-heading {
    background-color: #f5f5f5;
    border-bottom: 1px solid #dddddd;
    padding: 0;
    margin-bottom: 5px;
    width: 100%;
}

.theme-toc .nav > li.toc-heading > p {
    color: var(--bs-gray-dark);
    padding: 10px 0 12px;
    text-align: center;
    font-weight: 600;
    font-size: 1rem;
    display: block;
    margin-bottom: 0;
}

.theme-toc .nav > li.toc-heading > p > a {
    color: var(--primary-color);
    margin-left: 4px;
    font-size: .9rem;
}

.theme-toc .nav > li.toc-heading > p > a:hover,
.theme-toc .nav > li.toc-heading > p > a:active {
    color: var(--primary-hover);
}

.theme-toc .nav .nav {
    margin-bottom: 0;
}

@media screen and (max-width: 600px) {
    .theme-toc {
        width: 100%;
    }

    .theme-toc .nav > li.toc-heading > p {
        font-size: 1em;
    }

    .theme-toc .nav > li > a {
        font-size: .95em;
    }

}

.swal2-popup .swal2-title {
    font-size: 1.2em;
    color: var(--bs-gray-900);
    font-weight: 700;
}

.swal2-popup .swal2-html-container {
    color: var(--bs-gray-700);
    font-size: 1.05em;
}

.swal2-actions {
    flex-direction: row-reverse;
}

.swal2-popup .swal2-confirm,
.swal2-popup .swal2-cancel,
.swal2-popup .swal2-deny {
    font-size: .95em !important;
    text-transform: uppercase;
    padding: 8px 26px;
    border-radius: 3px;
    font-weight: 700;
    transition: var(--transition-default);
    outline: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
    box-shadow: none !important;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    letter-spacing: .5px;
    border: 1px solid transparent;
    margin: 0 5px;
}

.swal2-popup .swal2-confirm {
    border: 1px solid var(--primary-color);
    background: var(--primary-color);
    color: var(--bs-white);
}

.ratio > img,
.ratio > video,
.ratio > iframe {
    -o-object-fit: cover;
    object-fit: cover;
}

.ratio-2x1 {
    --bs-aspect-ratio: 50%;
}

.ratio-3x2 {
    --bs-aspect-ratio: calc(2 / 3 * 100%);
}

.ratio-3x4 {
    --bs-aspect-ratio: calc(4 / 3 * 100%);
}

.ratio-5x4 {
    --bs-aspect-ratio: calc(5 / 4 * 100%);
}

.ratio-9x16 {
    --bs-aspect-ratio: calc(16 / 9 * 100%);
}

img.lazy {
    opacity: 0;
}

img.initial,
img.loaded,
img.error {
    opacity: 1;
}

img:not([src]):not([srcset]) {
    visibility: hidden;
}

.is-overflow {
    overflow: hidden !important;
    height: 100vh !important;
}

.zalo-share-button iframe {
    z-index: 2 !important;
}

.was-validated .form-control:valid,
.form-select.is-valid,
.was-validated .form-select:valid:not([multiple]):not([size]) {
    border: 1px solid rgba(223, 226, 231, 0.71);
    background-image: unset !important;
}

.was-validated .form-control:invalid {
    background-image: unset !important;
}

.bg-primary {
    background-color: var(--primary-color) !important;
}

.bg-secondary {
    background-color: var(--secondary-color) !important;
}

.text-secondary {
    color: var(--secondary-color) !important;
}

.text-primary {
    color: var(--primary-color) !important;
}

.text-primary-hover:hover {
    color: var(--primary-hover) !important;
}

.text-secondary-hover:hover {
    color: var(--secondary-hover) !important;
}

.text-white-50 {
    color: #e2eaf6 !important;
}

.text-white-50:hover {
    color: var(--bs-white) !important;
}

.top-20 {
    top: 20px;
}

.section-gap {
    padding: 50px 0;
}

.fw-700 {
    font-weight: 700;
}

.fw-600 {
    font-weight: 600;
}

.fw-500 {
    font-weight: 500;
}

.fw-400 {
    font-weight: 400;
}

.fw-300 {
    font-weight: 300;
}

.transition-line::after {
    position: absolute;
    content: '';
    bottom: 0;
    left: auto;
    right: 0;
    width: 0;
    height: 1px;
    background-color: var(--primary-color);
    z-index: 1;
    transform: translateY(2px);
    transition: var(--transition-default);
}

.transition-line:hover::after {
    left: 0;
    right: auto;
    width: 100%;
}

.section-heading {
    margin-bottom: 30px;
}

.section-heading .heading-subtitle {
    color: var(--primary-color);
    font-weight: 500;
    display: inline-flex;
    position: relative;
    white-space: nowrap;
    align-items: center;
    font-size: 1.2em;
    text-transform: capitalize;
    padding: 3px 12px 3px 25px;
    margin-bottom: 20px;
    font-family: var(--font-sub);
}

.section-heading .heading-subtitle::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    background-color: var(--primary-color);
    border-radius: 3px;
}

.section-heading .heading-subtitle::after {
    content: "";
    position: absolute;
    left: 2px;
    top: 50%;
    transform: translateY(-50%);
    width: 12px;
    height: 12px;
    background-color: var(--primary-color);
    border: 2px solid #ffffff;
}

.section-heading .heading-title {
    font-weight: 700;
    font-size: 1.8em;
    text-transform: capitalize;
}

.section-heading .heading-title span {
    color: var(--primary-color);
}

.section-heading .heading-title-2 {
    font-weight: 700;
    font-size: 1.6em;
    text-transform: capitalize;
}

.section-heading .heading-desc {
    font-size: 1.05em;
    line-height: 1.6;
    color: var(--bs-gray-700);
    margin-top: 15px;
}


.form-group .form-control {
    height: 40px;
    border-radius: 3px;
    font-size: 14px;
}

.form-group .form-label {
    font-weight: 600;
    margin-bottom: 4px;
}

.form-group .form-textarea {
    height: unset;
    resize: none;
}

.button-theme {
    position: relative;
    display: inline-block;
    overflow: hidden;
    border-radius: 5px;
    padding: 8px 30px;
    font-weight: 500;
    color: var(--bs-white);
    border: none;
    transition: var(--transition-default);
    background-color: var(--primary-color);
    z-index: 0;
}

.button-theme span {
    position: relative;
    z-index: 2;
    color: var(--bs-white);
}

.button-theme::after,
.button-theme::before {
    content: "";
    position: absolute;
    display: block;
    box-sizing: border-box;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: var(--primary-hover);
    transition: all 0.5s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    transform-origin: center;
    transform: scale(0) rotate(0);
    z-index: 1;
}

.button-theme:hover::before {
    border-radius: 0;
    transform: scale(1) rotate(-180deg);
}

.button-theme:hover::after {
    border-radius: 0;
    transform: scale(1) rotate(180deg);
}


.section-pagination {
    border-top: 1px solid var(--bs-gray-200);
}

.section-pagination .pagination .page-item .page-link {
    outline: none !important;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-align: center;
    border: 0;
    font-weight: 500;
    background: var(--bs-gray-200);
    color: var(--bs-gray-700);
    -webkit-transition: var(--transition-default);
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    -webkit-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
}

.section-pagination .pagination .page-item.pageactive .page-link,
.section-pagination .pagination .page-item .page-link:hover {
    background-color: var(--primary-color);
    color: var(--bs-white);
}

.link-default {
    font-weight: 500;
    padding-bottom: 5px;
    border-bottom: 1px solid var(--bs-gray-600);
    color: var(--bs-gray-800);
}

.link-default:hover {
    color: var(--primary-color);
}

.link-default:hover i {
    transform: translateX(3px);
}

.form-group .form-label {
    font-weight: 600;
    font-size: 1em;
    margin-bottom: 6px;
}

.form-group .form-control, .form-group .form-select, .form-group textarea {
    width: 100%;
    height: 42px;
    font-size: 15px;
    padding: 3px 20px;
    border-radius: 30px;
    border: 1px solid var(--bs-gray-400);
}

.form-group textarea {
    resize: none;
    height: unset !important;
    padding: 20px !important;
}

.form-group .form-control[readonly] {
    pointer-events: none;
    background-color: var(--bs-gray-200);
}

.form-select.is-valid, .was-validated .form-select:valid {
    border-color: var(--bs-gray-400);
    background-image: unset !important;
}

.form-check-input:checked {
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}

.was-validated .form-check-input:valid ~ .form-check-label {
    color: var(--bs-gray-800);
}

.form-check-input.is-valid, .was-validated .form-check-input:valid {
    border-color: var(--bs-gray-600);
}

.scroll-top {
    position: fixed;
    right: 5px;
    bottom: 40px;
    border-radius: 50%;
    height: 40px;
    width: 40px;
    background: var(--primary-color);
    color: var(--bs-white);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 1.1em;
    z-index: 4;
    box-shadow: 0 6px 14px -6px rgb(60 84 141 / 58%), 0 10px 32px -4px rgb(37 53 93 / 10%);
    -webkit-transition: var(--transition-default);
    -o-transition: var(--transition-default);
    transition: var(--transition-default);
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
}

.scroll-top-text {
    font-size: 14px;
    font-weight: 600;
    cursor: pointer;
    color: var(--primary-color);
    transition: all 500ms ease;
}

.scroll-top.is-show {
    opacity: 1;
    visibility: visible;
}

.scroll-top:hover {
    background-color: var(--secondary-color);
    opacity: 0.8;
}


.floating-contact {
    position: fixed;
    right: 0;
    bottom: 95px;
    z-index: 11;
    border: 1px solid var(--bs-gray-200);
    border-radius: 8px 0 0 8px;
    padding: 10px 5px;
    -webkit-transition: all 200ms linear;
    -o-transition: all 200ms linear;
    transition: all 200ms linear;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.floating-contact.is-show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}


.floating-contact .floating-item {
    color: var(--primary-color);
    font-size: 13px;
}

.floating-contact .floating-item:hover {
    color: var(--primary-color);
}

.floating-contact .floating-item .icon,
.floating-contact .floating-item .image {
    width: 38px;
    height: 38px;
    color: var(--bs-white);
    background-color: var(--primary-color);
}

.floating-contact .floating-item .image img {
    width: 25px;
    height: 28px;
    padding: 8px;
}

.floating-contact .floating-item .image svg {
    width: 20px;
    height: 20px;
    z-index: 2;
    position: relative;

}


.floating-contact .floating-item.hotline .icon::after,
.floating-contact .floating-item.hotline .icon::before {
    position: absolute;
    content: '';
    top: -8px;
    left: -8px;
    right: -8px;
    bottom: -8px;
    border-radius: 50%;
    z-index: -1;
    background-color: var(--primary-color);
    -webkit-animation: kfPhoneFixed 1.5s infinite ease-in-out;
    animation: animationPhone 1.5s infinite ease-in-out;
}

.floating-contact .floating-item.hotline .icon::before {
    border: 2px solid var(--primary-color);
    -webkit-animation: kfPhoneFixed2 1.5s infinite ease-in-out;
    animation: animationPhone2 1.5s infinite ease-in-out;
    background-color: transparent;
}

@keyframes animationPhone2 {
    0% {
        -webkit-transform: rotate(0) scale(0.5) skew(1deg);
        transform: rotate(0) scale(0.5) skew(1deg);
        opacity: .1;
    }

    30% {
        -webkit-transform: rotate(0) scale(0.7) skew(1deg);
        transform: rotate(0) scale(0.7) skew(1deg);
        opacity: .5;
    }

    100% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        transform: rotate(0) scale(1) skew(1deg);
        opacity: .1;
    }
}

@keyframes animationPhone {
    0%, 100% {
        -webkit-transform: rotate(0) scale(0.7) skew(1deg);
        transform: rotate(0) scale(0.7) skew(1deg);
        opacity: .3;
    }
    50% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        transform: rotate(0) scale(1) skew(1deg);
        opacity: .3;
    }
}

.floating-contact .floating-item:hover .icon i {
    transform: scale(1.1);
}
